Redmine - Feature #1231

project-name to short
2008-05-13 15:10 - Marco Tralles

Status: Closed Start date: 2008-05-13
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Projects Estimated time: 0.00 hour

Target version:

Resolution:

Description

i added a new project as child of a other project.
the new projektname was cut down to 30 chars. it would be nice to have longer projekt names ...

History

#1 - 2008-05-16 00:40 - Otavio Salvador

| fully agree. 50 would be a nicer limit.
#2 - 2008-08-14 13:42 - Mischa The Evil
| have just added patch #1789 to raise the project-name 30-character length-limit to 35-characters.

You can modify the patch as desired to raise the length-limit to whatever you want. Though read my warning carefully since a too-long name can
really mess-up some views :-)

HTH...

#3 - 2013-03-17 08:12 - lvan Cenov

Nowadays, projects can have names at least 80 characters long.
| think this issue could be closed.

#4 - 2013-03-17 09:58 - Daniel Felix

- Status changed from New to Closed

Confirmed. The name and identifier is much longer.

Name length (255 characters):
source:trunk/app/models/project.ro#l.74

Identifier (100 characters):
source:trunk/app/models/project.ro#L.76

Best regards,
Daniel
https://www.redmine.org/issues/1789
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/app/models/project.rb#L74
